import java.util.ArrayList;
import java.util.HashMap;



public class PlayerCharacter extends GameObject {
	public boolean moving = false;
	public String name;
	public long lastStateCheck = 0;
	public ArrayList<Integer> AOIObjects;
	
	public PlayerCharacter(int objectID, double posX, double posY, double posZ, double rotX, double rotY, double rotZ, String name) {
		super(objectID, "PlayerCharacter", posX, posY, posZ, rotX, rotY, rotZ);
		this.name = name;
		AOIObjects = new ArrayList<Integer>();
	}
	
	public String toString() {
		String v = "<PlayerCharacter>";
		v = v + "<objectID>" + this.objectID + "</objectID>";
		v = v + "<type>" + this.type + "</type>";
		v = v + "<posX>" + this.posX + "</posX>";
		v = v + "<posY>" + this.posY + "</posY>";
		v = v + "<posZ>" + this.posZ + "</posZ>";
		v = v + "<rotX>" + this.rotX + "</rotX>";
		v = v + "<rotY>" + this.rotY + "</rotY>";
		v = v + "<rotZ>" + this.rotZ + "</rotZ>";
		v = v + "<name>" + this.name + "</name>";
		v = v + "<moving>" + this.moving + "</moving>";
		v = v + "</PlayerCharacter>";
		return v;
	}
	
	public void pickUp(int objectID) {
		System.out.println("Player " + name + " picked up object <" + objectID + ">.");
	}
}
